Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens Gallery
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • 🚧 [Experimental] List data transfers
        • 🚧 [Experimental] Get data transfer
        • 🚧 [Experimental] Create data transfer
        • 🚧 [Experimental] Update data transfer
        • 🚧 [Experimental] Delete data transfer
        • 🚧 [Experimental] Activate data transfer
        • 🚧 [Experimental] Deactivate data transfer
        • 🚧 [Experimental] Get data transfer logs
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  • DataTransferIncrementalTable
  • DataTransfer
  1. DataLens Public API
  2. DataLens API
  3. DataTransfers
  4. 🚧 [Experimental] List data transfers
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body
    • DataTransferIncrementalTable
    • DataTransfer

🚧 [Experimental] List data transfers

Returns transfers in the specified collection or the current DataLens tenant.

RequestRequest

POST

https://api.datalens.tech/rpc/listDataTransfers

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 3

Example: 3

BodyBody

application/json
{
  "collectionId": "example",
  "pageSize": "example",
  "pageToken": "example",
  "filter": [
    "example"
  ]
}

Name

Description

collectionId

Type: string

Collection to list. When omitted, lists transfers in the current DataLens tenant.

Min length: 1

Example: example

filter

Type: string[]

Filtering is not supported; only an empty array is accepted.

Max items: 0

Example
[
  "example"
]

pageSize

Type: string

Maximum number of transfers, encoded as a string. The default is 100.

Pattern: ^\d+$

Example: example

pageToken

Type: string

Next-page token from the preceding response.

Example: example

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "transfers": [
    {
      "id": "example",
      "collectionId": "example",
      "cloudEnvironmentId": "example",
      "name": "example",
      "description": "example",
      "createdAt": {
        "seconds": "example",
        "nanos": 0.5
      },
      "createdById": "example",
      "updatedAt": {
        "seconds": "example",
        "nanos": 0.5
      },
      "updatedById": "example",
      "status": "TRANSFER_STATUS_UNSPECIFIED",
      "labels": {},
      "config": {
        "source": {},
        "destination": {
          "endpoint": "icebergNamespace",
          "icebergNamespace": {}
        },
        "type": {},
        "tables": [
          "example"
        ]
      }
    }
  ],
  "nextPageToken": "example"
}

Name

Description

nextPageToken

Type: string

Token for the next page of transfers.

Example: example

transfers

Type: DataTransfer[]

Transfers matching the request.

Example
[
  {
    "id": "example",
    "collectionId": "example",
    "cloudEnvironmentId": "example",
    "name": "example",
    "description": "example",
    "createdAt": {
      "seconds": "example",
      "nanos": 0.5
    },
    "createdById": "example",
    "updatedAt": {
      "seconds": "example",
      "nanos": 0.5
    },
    "updatedById": "example",
    "status": "TRANSFER_STATUS_UNSPECIFIED",
    "labels": {},
    "config": {
      "source": {
        "endpoint": "postgresConnection",
        "postgresConnection": {}
      },
      "destination": {
        "endpoint": "icebergNamespace",
        "icebergNamespace": {
          "namespaceId": "example"
        }
      },
      "type": {
        "type": "regular",
        "regular": {}
      },
      "tables": [
        "example"
      ]
    }
  }
]

DataTransferIncrementalTableDataTransferIncrementalTable

Name

Description

cursorColumn

Type: string

Column used to detect new and changed rows.

Example: example

initialState

Type: string

Initial cursor value for the first transfer run.

Example: example

tableName

Type: string

Name of the source table.

Example: example

tableNamespace

Type: string

Namespace or schema of the source table.

Example: example

Example
{
  "tableNamespace": "example",
  "tableName": "example",
  "cursorColumn": "example",
  "initialState": "example"
}

DataTransferDataTransfer

Name

Description

cloudEnvironmentId

Type: string

ID of the associated cloud environment.

Example: example

collectionId

Type: string

ID of the DataLens collection that contains the transfer.

Example: example

config

Type: object

destination

Type: object

endpoint

Type: string

Destination endpoint type.

Const: icebergNamespace

Example: example

icebergNamespace

Type: object

namespaceId

Type: string

ID of the destination Iceberg namespace.

Example: example

Iceberg destination namespace settings.

Example
{
  "namespaceId": "example"
}

Destination settings.

Example
{
  "endpoint": "icebergNamespace",
  "icebergNamespace": {
    "namespaceId": "example"
  }
}

source

One of 3 types
  • Type: object

    endpoint

    Type: string

    Source endpoint type.

    Const: postgresConnection

    Example: example

    postgresConnection

    Type: object

    connectionId

    Type: string

    ID of the source DataLens connection.

    Example: example

    database

    Type: string

    Source database name.

    Example: example

    PostgreSQL source connection settings.

    Example
    {
      "connectionId": "example",
      "database": "example"
    }
    
    Example
    {
      "endpoint": "postgresConnection",
      "postgresConnection": {
        "connectionId": "example",
        "database": "example"
      }
    }
    
  • Type: object

    clickhouseConnection

    Type: object

    connectionId

    Type: string

    ID of the source DataLens connection.

    Example: example

    database

    Type: string

    Source database name.

    Example: example

    ClickHouse source connection settings.

    Example
    {
      "connectionId": "example",
      "database": "example"
    }
    

    endpoint

    Type: string

    Source endpoint type.

    Const: clickhouseConnection

    Example: example

    Example
    {
      "endpoint": "clickhouseConnection",
      "clickhouseConnection": {
        "connectionId": "example",
        "database": "example"
      }
    }
    
  • Type: object

    endpoint

    Type: string

    Source endpoint type.

    Const: mysqlConnection

    Example: example

    mysqlConnection

    Type: object

    connectionId

    Type: string

    ID of the source DataLens connection.

    Example: example

    database

    Type: string

    Source database name.

    Example: example

    MySQL source connection settings.

    Example
    {
      "connectionId": "example",
      "database": "example"
    }
    
    Example
    {
      "endpoint": "mysqlConnection",
      "mysqlConnection": {
        "connectionId": "example",
        "database": "example"
      }
    }
    

Source connection settings.

Example
{
  "endpoint": "postgresConnection",
  "postgresConnection": {
    "connectionId": "example",
    "database": "example"
  }
}

tables

Type: string[]

Source tables to transfer.

Example
[
  "example"
]

type

One of 2 types
  • Type: object

    regular

    Type: object

    cronExpression

    Type: string

    Five-field cron expression in UTC.

    Example: example

    tables

    Type: DataTransferIncrementalTable[]

    Incremental snapshot settings.

    Example
    [
      {
        "tableNamespace": "example",
        "tableName": "example",
        "cursorColumn": "example",
        "initialState": "example"
      }
    ]
    

    Regular transfer settings.

    Example
    {
      "cronExpression": "example",
      "tables": [
        {
          "tableNamespace": "example",
          "tableName": "example",
          "cursorColumn": "example",
          "initialState": "example"
        }
      ]
    }
    

    type

    Type: string

    Transfer mode.

    Const: regular

    Example: example

    Example
    {
      "type": "regular",
      "regular": {
        "cronExpression": "example",
        "tables": [
          {
            "tableNamespace": "example",
            "tableName": "example",
            "cursorColumn": "example",
            "initialState": "example"
          }
        ]
      }
    }
    
  • Type: object

    oneTime

    Type: object

    One-time transfer settings.

    Example
    {}
    

    type

    Type: string

    Transfer mode.

    Const: oneTime

    Example: example

    Example
    {
      "type": "oneTime",
      "oneTime": {}
    }
    

Transfer mode and its settings.

Example
{
  "type": "regular",
  "regular": {
    "cronExpression": "example",
    "tables": [
      {
        "tableNamespace": "example",
        "tableName": "example",
        "cursorColumn": "example",
        "initialState": "example"
      }
    ]
  }
}

Transfer configuration.

Example
{
  "source": {
    "endpoint": "postgresConnection",
    "postgresConnection": {
      "connectionId": "example",
      "database": "example"
    }
  },
  "destination": {
    "endpoint": "icebergNamespace",
    "icebergNamespace": {
      "namespaceId": "example"
    }
  },
  "type": {
    "type": "regular",
    "regular": {
      "cronExpression": "example",
      "tables": [
        {}
      ]
    }
  },
  "tables": [
    "example"
  ]
}

createdAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Time when the transfer was created.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

createdById

Type: string

ID of the user who created the transfer.

Example: example

description

Type: string

Description of the transfer.

Example: example

id

Type: string

ID of the transfer.

Example: example

labels

Type: object

[additional]

Type: string

Example: example

Transfer labels.

Example
{}

name

Type: string

Name of the transfer.

Example: example

status

Type: string

Current status of the transfer.

Enum: TRANSFER_STATUS_UNSPECIFIED, CREATING, CREATED, RUNNING, STOPPING, STOPPED, ERROR, SNAPSHOTTING, DONE, PAUSED, PREPARING, UNKNOWN

updatedAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Time when the transfer was last updated.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

updatedById

Type: string

ID of the user who last updated the transfer.

Example: example

Example
{
  "id": "example",
  "collectionId": "example",
  "cloudEnvironmentId": "example",
  "name": "example",
  "description": "example",
  "createdAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "createdById": "example",
  "updatedAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "updatedById": "example",
  "status": "TRANSFER_STATUS_UNSPECIFIED",
  "labels": {},
  "config": {
    "source": {
      "endpoint": "postgresConnection",
      "postgresConnection": {
        "connectionId": "example",
        "database": "example"
      }
    },
    "destination": {
      "endpoint": "icebergNamespace",
      "icebergNamespace": {
        "namespaceId": "example"
      }
    },
    "type": {
      "type": "regular",
      "regular": {
        "cronExpression": "example",
        "tables": [
          null
        ]
      }
    },
    "tables": [
      "example"
    ]
  }
}

Was the article helpful?

Previous
Overview
Next
🚧 [Experimental] Get data transfer
© 2026 Direct Cursus Technology L.L.C.